import json
import os
import time

contents = {
    "user": "Non registered user",
    "create_time": "",
    "url_base": "http://www.tenkmiles.com/trails/",
    "local_base": "",
    "count": 0,
    "videos": []
}

content_bak  = "contents.json.bak"
content_file = "contents.json"

if os.path.exists(content_bak):
    os.remove(content_bak)
if os.path.exists(content_file):
    os.rename(content_file, content_bak)

files = os.listdir()
files.sort()
for f in files:
    if os.path.isfile(f):
        continue
    info_file = f + "/info.json"
    if not os.path.exists(info_file):
        continue
    with open(info_file, "r") as inff:
        v_info = json.load(inff)
        contents["videos"].append(v_info)
        contents["count"] += 1

contents["create_time"] = str(time.ctime())
contents["local_base"] = os.path.split(os.getcwd())[-1]
# Serializing json
json_object = json.dumps(contents, indent=4)
with open(content_file, "w") as ff:
	ff.write(json_object)
