﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>360° VR Scenery</title>
<style type="text/css">
<!--
body {
	color:#000000;
	background-color:#0072C6;
	margin:0;
}

#container {
	margin-left:auto;
	margin-right:auto;
	text-align:center;
	}

a img {
	border:none;
}

-->
</style>

<?php
	$filename = 'contents.json';
	$data = file_get_contents($filename);
	$contents = json_decode($data);
	$trail_count = $contents->count;
	$trails = $contents->videos;
?>

</head>
<body>
	<table align="center" width="1200">
		<tr> 
			<th width="10%" align="left"><a href="/about.html">About</a></th>
			<th width="10%"></th>
			<th width="10%"></th>
			<th width="10%" align="center"><a href="/index.html">360° VR Video</a></th>
			<th width="10%" align="center"><a href="/music.html">Music</a></th>
			<th width="10%" align="center"><a href="/download.html">Download App</a></th>
			<th width="10%" align="center">Trails</th>
			<th width="10%"></th>
			<th width="10%"></th>
			<th width="10%" align="right"><a href="/video_cn.html">中文</a></th>
		</tr>
	</table>
	<hr />
	<table align="center" width="1200">
<?php
	$rows = ($trail_count + 3) / 4;
	for ($r = 0; $r < $rows; $r++) {
?>
		<tr>
<?php
		for ($c = 0; $c < 4; $c++) {
			$idx = $r * 4 + $c;
			if ($idx >= $trail_count)
				break;
			$trail = $trails[$idx];
			$cover_img = $trail->id . '/' . $trail->cover;
			$default_url = "";
			$avail_fmts = "";
			foreach($trail->videos as $key => $value) {
				if (!empty($value)) {
					$url = "{$trail->id}/{$value}";
					if (empty($default_url)) {
						$default_url = $url;
						$avail_fmts .= "&nbsp;{$key}&nbsp;";
					} else {
						$avail_fmts .= "&nbsp;<a href=\"{$url}\">{$key}</a>&nbsp;";
					}
				}
			}
?>
			<th width="25%" align="left">
				<a href="<?= $default_url ?>"><img src="<?= $cover_img ?>" alt="NA" width="256" height="144" /></a><br />
				<b><?= $avail_fmts ?></b><br />
				<p style="color:white;"><b><?= $trail->name ?></b><br /></p>
				<p style="color:white;">Location:        <?= $trail->location ?><br /></p>
				<p style="color:white;">Season:          <?= $trail->season ?><br /></p>
			</th>
<?php
		} // Column loop end
?>
		</tr>
		<tr>
			<th height="50"></th>
		</tr>
<?php
	} // The table row loop end
?>
	</table>
	<hr />
	<table align="center" width="1200">
		<tr>
			<th>This is a demo site. Dedicated to demonstrate how 360° VR Video could improve our life quality.</th>
		</tr>
	</table>
</body>
</html>  
